Move DMEMIT definition to dm.h.
--- diff/drivers/md/dm-mpath.c	2004-08-16 10:35:29.518497296 -0500
+++ source/drivers/md/dm-mpath.c	2004-08-16 10:35:35.039657952 -0500
@@ -639,9 +639,6 @@
 	struct path *p;
 	char buffer[32];
 
-#define DMEMIT(x...) sz += ((sz >= maxlen) ? \
-			  0 : scnprintf(result + sz, maxlen - sz, x))
-
 	switch (type) {
 	case STATUSTYPE_INFO:
 		DMEMIT("%u ", m->nr_priority_groups);
--- diff/drivers/md/dm-raid1.c	2004-08-16 10:35:29.530495472 -0500
+++ source/drivers/md/dm-raid1.c	2004-08-16 10:35:35.040657800 -0500
@@ -1185,9 +1185,6 @@
 	unsigned int m, sz = 0;
 	struct mirror_set *ms = (struct mirror_set *) ti->private;
 
-#define DMEMIT(x...) sz += ((sz >= maxlen) ? \
-			  0 : scnprintf(result + sz, maxlen - sz, x))
-
 	switch (type) {
 	case STATUSTYPE_INFO:
 		DMEMIT("%d ", ms->nr_mirrors);
--- diff/drivers/md/dm-stripe.c	2004-08-16 10:35:29.540493952 -0500
+++ source/drivers/md/dm-stripe.c	2004-08-16 10:35:35.040657800 -0500
@@ -191,9 +191,6 @@
 	unsigned int i;
 	char buffer[32];
 
-#define DMEMIT(x...) sz += ((sz >= maxlen) ? \
-			  0 : scnprintf(result + sz, maxlen - sz, x))
-
 	switch (type) {
 	case STATUSTYPE_INFO:
 		result[0] = '\0';
--- diff/drivers/md/dm.h	2004-08-14 05:55:32.000000000 -0500
+++ source/drivers/md/dm.h	2004-08-16 10:35:35.041657648 -0500
@@ -19,6 +19,9 @@
 #define DMERR(f, x...) printk(KERN_ERR DM_NAME ": " f "\n" , ## x)
 #define DMINFO(f, x...) printk(KERN_INFO DM_NAME ": " f "\n" , ## x)
 
+#define DMEMIT(x...) sz += ((sz >= maxlen) ? \
+			  0 : scnprintf(result + sz, maxlen - sz, x))
+
 /*
  * FIXME: I think this should be with the definition of sector_t
  * in types.h.
